Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.version
Class VersionableContent

    java.lang.Object
      com.bea.content.virtual.version.VersionableContent

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  Version

    public class VersionableContent

extends Object
implements Serializable

Version maintains information on the verion of a VirtualNode.

See Also
  Serialized Form

Constructor Summary
`VersionableContent(int status, String comment, Property[] properties)`

Method Summary
`void` | `addProperty(Property property)` does nothing
`String` | `getComment()` Gets a comment on the version.
`Property[]` | `getProperties()` Gets the Properties for this node.
`Property` | `getProperty(String name)` Returns the property referenced by name or null if the property does not exist.
`int` | `getStatus()` Returns the workflow status for the VersionableContent.
`void` | `setComment(String comment)` Sets a comment on the version.
`void` | `setProperties(Property[] properties)` Sets the Properties for this node.
`void` | `setStatus(int status)` Sets the workflow status for the VersionableContent.
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionableContent

    public VersionableContent(int status,
                              String comment,
                              Property[] properties)

Method Detail

### getStatus

    public int getStatus()

  Returns the workflow status for the VersionableContent. See `Workflow`

  Returns
    The workflow status.

### setStatus

    public void setStatus(int status)

  Sets the workflow status for the VersionableContent. See `Workflow`

  Parameters
    `status` - The status to set

### getComment

    public String getComment()

  Gets a comment on the version.

### setComment

    public void setComment(String comment)

  Sets a comment on the version.

  Parameters
    `comment` - The comment to set.

### getProperty

    public Property getProperty(String name)

  Returns the property referenced by name or null if the property does not exist. For nested type properties, the name must reflect the nested hierarchy using `NESTED_DELIMITER` between each parent and child property name. The delimiter is not valid for use within the actual name, only to seperate the parent/child names. If the `Property` returned is that of a nested type, it will return `Property` with a `Value` that is an array of `Property` objects. If the `Property` returned is that of a multi valued nested type, it will return `Property` with an array of `Value` objects, of which each is an array of `Property` objects. A nested Property can be retrieved directly by using the proper name with delimiter (ie. myAddress.city). If a nested Property is multivalued, the index of that multivalued property will have to be reflected in the name, if you retrieve it directly (ie myAddresses[0].city will retrieve the first address's city in a multivalued nested property, or myAddresses[1].city will retrieve the second address's city. See `Property` `indexedName`.

### getProperties

    public Property[] getProperties()

  Gets the Properties for this node.

### addProperty

    public void addProperty(Property property)

  does nothing

### setProperties

    public void setProperties(Property[] properties)

  Sets the Properties for this node. Each property must have a corresponding PropertyDefinition defined in the Node's ObjectClass.

### toString

    public String toString()

  Returns the attributes of this Node in a String.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved